Results 1 to 10 of 10

Thread: Darktable rpm

  1. #1
    Join Date
    Jul 2012
    Location
    Belgium
    Posts
    204

    Default Darktable rpm

    Ik zie dat darktable versie 1.4.1 al een tijdje uit is.
    Waarom staat de officiele versie nog op 1.2.3 voor openSUSE 13.1
    kan dit niet verholpen worden zodat ik geen extra softwarebron nodig heb.

  2. #2

    Default Re: Darktable rpm

    Hoi
    Als ik in Yast-Softwarebeheer pakketzoeken doe Darktable in tik staat daar 1.4.1-1.6.Vreemd dat dat dan bij jou niet is .
    Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz Systeem -Totaal aan geheugen (RAM):7,7 GiB

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,854

    Default Re: Darktable rpm

    Iets beter gekeken.

    In de OSS repo (de officiële van 13.1 dus) staat darktable 1.2.3-2.1.4. In de Update repo (even officiëel dus, maar met een of meer securitty en/of recommended updates) staat 1.2.3-2.5.1.

    In de Packman repo (nniet officiëel openSUSE dus, maar door idereen die zijn multi-media wil gebruiken toegevoegd) staat 1.4.1-1.6.

    @heelstraf
    Je opmerking
    Waarom staat de officiele versie nog op 1.2.3 voor openSUSE 13.1
    is makkelijk te beantwoorden. openSUSE 13. is getest en uitgebracht met 1.2.3 en dat verandert niet. Een nieuwere versie van een product wordt (als die er is natuurlijk) getest en eventueel uitgebracht met de volgende versie van openSUSE. openSUSE is geen zgn. rollende distro. Als je dat wilt met openSUSE moet je Tumbleweed gaan gebruiken.

    Overigens is het vreemd dat jij Packman niet gebruikt. Of heb je daar een reden voor?

    @pieter1602
    Een beetje slordig gekeken?
    Henk van Velden

  4. #4
    Join Date
    Jul 2012
    Location
    Belgium
    Posts
    204

    Default Re: Darktable rpm

    Quote Originally Posted by hcvv View Post
    Iets beter gekeken.

    In de OSS repo (de officiële van 13.1 dus) staat darktable 1.2.3-2.1.4. In de Update repo (even officiëel dus, maar met een of meer securitty en/of recommended updates) staat 1.2.3-2.5.1.

    In de Packman repo (nniet officiëel openSUSE dus, maar door idereen die zijn multi-media wil gebruiken toegevoegd) staat 1.4.1-1.6.

    @heelstraf
    Je opmerking


    is makkelijk te beantwoorden. openSUSE 13. is getest en uitgebracht met 1.2.3 en dat verandert niet. Een nieuwere versie van een product wordt (als die er is natuurlijk) getest en eventueel uitgebracht met de volgende versie van openSUSE. openSUSE is geen zgn. rollende distro. Als je dat wilt met openSUSE moet je Tumbleweed gaan gebruiken.

    Overigens is het vreemd dat jij Packman niet gebruikt. Of heb je daar een reden voor?
    de vraag kwam door een verwarring/misverstand met versies nummers van Darktable tussen een vriend en mij.
    Packman staat hier ook aan (en is ook 1.4.1.x), echter heb ik de git versie lopen ;-)
    Wist niet dat packman darktable is zijn repo had

    bedankt voor het uitklaren van "het waarom nog op versie 1.2.3."
    het rare is dan wel dat voorbeeld firefox wel van versie 25 naar 27 gaat.
    dus kan ik stellen dat het openSUSE team firefox wel test om de upgrade te voorzien en darktable niet in de release.

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,854

    Default Re: Darktable rpm

    Firefox is een apart geval. Vroeger kwamen security (en dringende) zaken bij FF ook in subnummers. Nu levert FF alles in een nieuwe versie en gaat de nummering snel omhoog. Omdat dat security omvat moet dat wel in de Update repo. Bij echte opensource pakketen worden security patches geretrofit op de huidige versie. Bij FF kan dat niet.
    Henk van Velden

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,645
    Blog Entries
    14

    Default Re: Darktable rpm

    Quote Originally Posted by heelstraf View Post
    de vraag kwam door een verwarring/misverstand met versies nummers van Darktable tussen een vriend en mij.
    Packman staat hier ook aan (en is ook 1.4.1.x), echter heb ik de git versie lopen ;-)
    Wist niet dat packman darktable is zijn repo had

    bedankt voor het uitklaren van "het waarom nog op versie 1.2.3."
    het rare is dan wel dat voorbeeld firefox wel van versie 25 naar 27 gaat.
    dus kan ik stellen dat het openSUSE team firefox wel test om de upgrade te voorzien en darktable niet in de release.
    Als je dingen installeert vanuit git, installeer je geen package. Dat betekent dat er ook niets te updaten valt via zypper / rpm. Installeren vanuit git betekent ook dat je via git de boel up to date moet houden. Ik weet dat er mensen zijn die pakketten downloaden uit de repos, om ze vervolgens op te slaan in github, met het idee zo een eigen repo te hebben waar alle extra toe te voegen pakketten staan. In mijn ogen doorbreek je daarmee een zorgvuldig gecreëerde infrastructuur.
    De stappen in de zoektocht naar pakketten:
    1. Softwarebeheer. De distribution repos bevatten al een enorme software collectie.
    2. http://software.opensuse.org
    2a. stabiele pakketten, bijv. de Libreoffice updates via de Libreoffice repo
    2b. "unstable" pakketten, bijv. Richard Bos' pakketten voor belastingaangifte
    3. RPM / DEB pakketten die door andere distros, softwaremakers geleverd worden (bijv. Skype, Google Earth)
    4. Tarballs / installers. Ik zou er inmiddels zelf voor kiezen om daar dan via OBS (de buildservice) openSUSE pakketten van te (laten) maken.

    Op deze manier is de kans dat je je systeem verkloot door incompatible software 't kleinst.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  7. #7

    Default Re: Darktable rpm

    Quote Originally Posted by Knurpht View Post
    Als je dingen installeert vanuit git, installeer je geen package.
    Installeren vanuit git betekent dat je de broncode ophaalt die je dan zelf moet genereren tot een pakket. En dat betekent dat je de nodige devel-pakketten op je systeem moet installeren. Dat laatste kun je voorkomen door die broncode weer te uploaden in een project in OBS en dan in OBS aan te geven van welke devel-pakketten het project afhankelijk is. Vervolgens maakt OBS, als je alles zonder omissies hebt aangeleverd, er een rpm van die je dan uit de bij jouw project behorende repository kunt installeren. Via git kun je de broncode weer bijwerken op jouw eigen systeem en deze weer uploaden naar OBS, waarna OBS een nieuwe versie aan zal maken.

  8. #8
    Join Date
    Jul 2012
    Location
    Belgium
    Posts
    204

    Default Re: Darktable rpm

    Quote Originally Posted by Knurpht View Post
    Als je dingen installeert vanuit git, installeer je geen package.
    ik bedoelde in vorige post met Git versie dat ik een package vanuit een repo haal die van de git komt.
    http://download.opensuse.org/reposit...SE_13.1/x86_64
    Darktable omschrijft de softwarebron met "for nightly builds"

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,645
    Blog Entries
    14

    Default Re: Darktable rpm

    Quote Originally Posted by heelstraf View Post
    ik bedoelde in vorige post met Git versie dat ik een package vanuit een repo haal die van de git komt.
    http://download.opensuse.org/reposit...SE_13.1/x86_64
    Darktable omschrijft de softwarebron met "for nightly builds"
    Darktable weet niets van de openSUSE repos. In dit geval heeft user toganm in zijn eigen repo een pakket gebouwd, door de broncode uit git te uploaden naar OBS, en daar, tegen de (open)SUSE bibliotheken te compileren.
    NB.: "nightly" houdt altijd "unstable" en "untested". Dat betekent dat installatie van zo'n pakket niet ondersteund wordt, en zelfs zeer ongewenste effecten op de rest van je installatie kan hebben. Om jet nog maar niet te hebben over een "doet 't vandaag niet, gisteren wel" situatie.
    Als je de vendor-change naar Packman standaard hebt uitgevoerd, zou -zoals bij mij- bij aanklikken de Packman versie geïnstalleerd moeten worden.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Jul 2010
    Location
    The Netherlands
    Posts
    72

    Default Re: Darktable rpm

    Waarom willen mensen aan de ene kant altijd een solide distro, maar tegelijkertijd aan de andere kant wel het nieuwste van het nieuwste?
    Jongens, ik gebruik Linux nu 8 jaar en wat ik in die 8 jaar heb geleerd is dat een solide distro bestaat uit door en door geteste software die bij elkaar past. Wanneer je dan 1 pakket gaat vervangen omdat er een nieuwere versie is uitgekomen, kan dat de balans compleet verstoren waardoor je eens zo solide distro nu opeens niet meer start, of op de gekte momenten crasht.
    Wil je alles nieuw hebben neem dan, zoals Henk ook al schreef, een rolling distro zoals Tumbleweed for OpenSuse, LMDE voor Mint, en zo zijn er nog wel meer.
    Wil je echter een distro hebben die het gewoon elke dag zonder problemen doet, neem er dan eentje die door en door getest wordt voor hij wordt uitgebracht, zoals Leap voor OpenSuse, de andere, dan LMDE, Mints.

    Wil je experimenteren, bug reports schrijven, ga je rollen, wil je gewoon lekker andere dingen doen ga dan voor stabiel.
    Helaas maar waar: een combinatie is helaas niet mogelijk.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •